Public Class MainForm
    Inherits System.Windows.Forms.Form

    Private Sub ErrorMessages()

        Dim ErrorResult
        ErrorResult = VaxVoIPExV2.GetLastError

        If ErrorResult = 10 Then
            MsgBox("You are not Online, please click the 'Online' button first")
        End If

        If ErrorResult = 11 Then
            MsgBox("You are already in the conversation, please disconnect it first")
        End If

        If ErrorResult = 12 Then
            MsgBox("Conversation is alreading connecting, please disconnect it first")
        End If

        If ErrorResult = 13 Then
            MsgBox("Cann't access Input/Mic device or device is already in use")
        End If

        If ErrorResult = 14 Then
            MsgBox("Cann't access Output/Speaker device or device is already in use")
        End If

        If ErrorResult = 15 Then
            MsgBox("Invalid IP and Port to Accept this request")
        End If

        If ErrorResult = 16 Then
            MsgBox("Local communication port could not be opened or Port is already in use")
        End If

        If ErrorResult = 17 Then
            MsgBox("Invalid License Key")
        End If

        If ErrorResult = 18 Then
            MsgBox("Recording Media Initialization Error")
        End If

        If ErrorResult = 19 Then
            MsgBox("Cannot open the recording channel")
        End If

        If ErrorResult = 20 Then
            MsgBox("Cannot open the file")
        End If

        If ErrorResult = 21 Then
            MsgBox("Already adding into the conference")
        End If

        If ErrorResult = 22 Then
            MsgBox("Already in the conversation")
        End If

        If ErrorResult = 23 Then
            MsgBox("Please start the conversation first by clicking 'Start Conversation' button, then you can add more persons into the conversation")
        End If

        If ErrorResult = 24 Then
            MsgBox("Voice compression manager intialization error")
        End If

        If ErrorResult = 25 Then
            MsgBox("Task manager intialization error")
        End If

    End Sub


#Region " Windows Form Designer generated code "

    Public Sub New()
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call

    End Sub

    'Form overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    Friend WithEvents GroupBoxRemote As System.Windows.Forms.GroupBox
    Friend WithEvents LabelRemoteIP As System.Windows.Forms.Label
    Friend WithEvents LabelRemotePort As System.Windows.Forms.Label
    Friend WithEvents GroupLocalSettings As System.Windows.Forms.GroupBox
    Friend WithEvents BtnOffline As System.Windows.Forms.Button
    Friend WithEvents BtnOnline As System.Windows.Forms.Button
    Friend WithEvents TxtListenPort As System.Windows.Forms.TextBox
    Friend WithEvents GroupBoxStatus As System.Windows.Forms.GroupBox
    Friend WithEvents GroupBoxVolume As System.Windows.Forms.GroupBox
    Friend WithEvents LabelSpeaker As System.Windows.Forms.Label
    Friend WithEvents LabelMic As System.Windows.Forms.Label
    Friend WithEvents GroupBox1 As System.Windows.Forms.GroupBox
    Friend WithEvents GroupBox2 As System.Windows.Forms.GroupBox
    Friend WithEvents ComboRemoteIP As System.Windows.Forms.ComboBox
    Friend WithEvents TxtRemotPort As System.Windows.Forms.TextBox
    Friend WithEvents ChkBusyState As System.Windows.Forms.CheckBox
    Friend WithEvents SliderMicVol As AxComctlLib.AxSlider
    Friend WithEvents SliderSpkVol As AxComctlLib.AxSlider
    Friend WithEvents CheckMuteMic As System.Windows.Forms.CheckBox
    Friend WithEvents CheckSpkMute As System.Windows.Forms.CheckBox
    Friend WithEvents ListReceiveMsg As System.Windows.Forms.ListBox
    Friend WithEvents EditTextSend As System.Windows.Forms.TextBox
    Friend WithEvents BtnSendText As System.Windows.Forms.Button
    Friend WithEvents LabelTx As System.Windows.Forms.Label
    Friend WithEvents Label8 As System.Windows.Forms.Label
    Friend WithEvents PicTx As System.Windows.Forms.PictureBox
    Friend WithEvents PicRx As System.Windows.Forms.PictureBox
    Friend WithEvents ChkUnavailable As System.Windows.Forms.CheckBox
    Friend WithEvents Timer1 As System.Windows.Forms.Timer
    Friend WithEvents BtnStartConversation As System.Windows.Forms.Button
    Friend WithEvents LabelListenPort As System.Windows.Forms.Label
    Friend WithEvents BtnEndConversation As System.Windows.Forms.Button
    Friend WithEvents BtnAddConversation As System.Windows.Forms.Button
    Friend WithEvents GroupBox3 As System.Windows.Forms.GroupBox
    Friend WithEvents ChkStartRecording As System.Windows.Forms.CheckBox
    Friend WithEvents BtnResetRecordBuffer As System.Windows.Forms.Button
    Friend WithEvents Label9 As System.Windows.Forms.Label
    Friend WithEvents BtnSaveToWave As System.Windows.Forms.Button
    Friend WithEvents VaxVoIPExV2 As AxVAXVOIPEXV2Lib.AxVaxVoIPExV2
    Friend WithEvents Label1 As System.Windows.Forms.Label
    Friend WithEvents Label2 As System.Windows.Forms.Label
    Friend WithEvents Label3 As System.Windows.Forms.Label
    Friend WithEvents Label4 As System.Windows.Forms.Label
    Friend WithEvents EditStatus As System.Windows.Forms.Label
    Friend WithEvents TxtSaveFileName As System.Windows.Forms.TextBox
    Friend WithEvents PicTxB As System.Windows.Forms.PictureBox
    Friend WithEvents PicRxB As System.Windows.Forms.PictureBox
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(MainForm))
        Me.GroupBoxRemote = New System.Windows.Forms.GroupBox
        Me.BtnAddConversation = New System.Windows.Forms.Button
        Me.LabelRemoteIP = New System.Windows.Forms.Label
        Me.ComboRemoteIP = New System.Windows.Forms.ComboBox
        Me.BtnEndConversation = New System.Windows.Forms.Button
        Me.BtnStartConversation = New System.Windows.Forms.Button
        Me.LabelRemotePort = New System.Windows.Forms.Label
        Me.TxtRemotPort = New System.Windows.Forms.TextBox
        Me.GroupLocalSettings = New System.Windows.Forms.GroupBox
        Me.BtnOffline = New System.Windows.Forms.Button
        Me.BtnOnline = New System.Windows.Forms.Button
        Me.LabelListenPort = New System.Windows.Forms.Label
        Me.TxtListenPort = New System.Windows.Forms.TextBox
        Me.GroupBoxStatus = New System.Windows.Forms.GroupBox
        Me.ChkUnavailable = New System.Windows.Forms.CheckBox
        Me.ChkBusyState = New System.Windows.Forms.CheckBox
        Me.GroupBoxVolume = New System.Windows.Forms.GroupBox
        Me.SliderMicVol = New AxComctlLib.AxSlider
        Me.SliderSpkVol = New AxComctlLib.AxSlider
        Me.LabelMic = New System.Windows.Forms.Label
        Me.CheckMuteMic = New System.Windows.Forms.CheckBox
        Me.LabelSpeaker = New System.Windows.Forms.Label
        Me.CheckSpkMute = New System.Windows.Forms.CheckBox
        Me.GroupBox1 = New System.Windows.Forms.GroupBox
        Me.EditStatus = New System.Windows.Forms.Label
        Me.GroupBox2 = New System.Windows.Forms.GroupBox
        Me.BtnSendText = New System.Windows.Forms.Button
        Me.EditTextSend = New System.Windows.Forms.TextBox
        Me.ListReceiveMsg = New System.Windows.Forms.ListBox
        Me.PicTx = New System.Windows.Forms.PictureBox
        Me.LabelTx = New System.Windows.Forms.Label
        Me.Label8 = New System.Windows.Forms.Label
        Me.PicRx = New System.Windows.Forms.PictureBox
        Me.Timer1 = New System.Windows.Forms.Timer(Me.components)
        Me.GroupBox3 = New System.Windows.Forms.GroupBox
        Me.BtnSaveToWave = New System.Windows.Forms.Button
        Me.Label9 = New System.Windows.Forms.Label
        Me.TxtSaveFileName = New System.Windows.Forms.TextBox
        Me.BtnResetRecordBuffer = New System.Windows.Forms.Button
        Me.ChkStartRecording = New System.Windows.Forms.CheckBox
        Me.VaxVoIPExV2 = New AxVAXVOIPEXV2Lib.AxVaxVoIPExV2
        Me.Label1 = New System.Windows.Forms.Label
        Me.Label2 = New System.Windows.Forms.Label
        Me.Label3 = New System.Windows.Forms.Label
        Me.Label4 = New System.Windows.Forms.Label
        Me.PicTxB = New System.Windows.Forms.PictureBox
        Me.PicRxB = New System.Windows.Forms.PictureBox
        Me.GroupBoxRemote.SuspendLayout()
        Me.GroupLocalSettings.SuspendLayout()
        Me.GroupBoxStatus.SuspendLayout()
        Me.GroupBoxVolume.SuspendLayout()
        CType(Me.SliderMicVol, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.SliderSpkVol, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.GroupBox1.SuspendLayout()
        Me.GroupBox2.SuspendLayout()
        Me.GroupBox3.SuspendLayout()
        CType(Me.VaxVoIPExV2, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.SuspendLayout()
        '
        'GroupBoxRemote
        '
        Me.GroupBoxRemote.Controls.Add(Me.BtnAddConversation)
        Me.GroupBoxRemote.Controls.Add(Me.LabelRemoteIP)
        Me.GroupBoxRemote.Controls.Add(Me.ComboRemoteIP)
        Me.GroupBoxRemote.Controls.Add(Me.BtnEndConversation)
        Me.GroupBoxRemote.Controls.Add(Me.BtnStartConversation)
        Me.GroupBoxRemote.Controls.Add(Me.LabelRemotePort)
        Me.GroupBoxRemote.Controls.Add(Me.TxtRemotPort)
        Me.GroupBoxRemote.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.GroupBoxRemote.Location = New System.Drawing.Point(8, 116)
        Me.GroupBoxRemote.Name = "GroupBoxRemote"
        Me.GroupBoxRemote.Size = New System.Drawing.Size(152, 200)
        Me.GroupBoxRemote.TabIndex = 3
        Me.GroupBoxRemote.TabStop = False
        Me.GroupBoxRemote.Text = "Remote Settings"
        '
        'BtnAddConversation
        '
        Me.BtnAddConversation.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.BtnAddConversation.Location = New System.Drawing.Point(13, 162)
        Me.BtnAddConversation.Name = "BtnAddConversation"
        Me.BtnAddConversation.Size = New System.Drawing.Size(123, 27)
        Me.BtnAddConversation.TabIndex = 6
        Me.BtnAddConversation.Text = "Add Conversation"
        '
        'LabelRemoteIP
        '
        Me.LabelRemoteIP.Location = New System.Drawing.Point(8, 16)
        Me.LabelRemoteIP.Name = "LabelRemoteIP"
        Me.LabelRemoteIP.Size = New System.Drawing.Size(80, 16)
        Me.LabelRemoteIP.TabIndex = 5
        Me.LabelRemoteIP.Text = "Remote IP:"
        '
        'ComboRemoteIP
        '
        Me.ComboRemoteIP.Location = New System.Drawing.Point(8, 32)
        Me.ComboRemoteIP.Name = "ComboRemoteIP"
        Me.ComboRemoteIP.Size = New System.Drawing.Size(128, 21)
        Me.ComboRemoteIP.TabIndex = 4
        '
        'BtnEndConversation
        '
        Me.BtnEndConversation.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.BtnEndConversation.Location = New System.Drawing.Point(13, 130)
        Me.BtnEndConversation.Name = "BtnEndConversation"
        Me.BtnEndConversation.Size = New System.Drawing.Size(123, 27)
        Me.BtnEndConversation.TabIndex = 3
        Me.BtnEndConversation.Text = "End Conversation"
        '
        'BtnStartConversation
        '
        Me.BtnStartConversation.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.BtnStartConversation.Location = New System.Drawing.Point(13, 101)
        Me.BtnStartConversation.Name = "BtnStartConversation"
        Me.BtnStartConversation.Size = New System.Drawing.Size(124, 24)
        Me.BtnStartConversation.TabIndex = 2
        Me.BtnStartConversation.Text = "Start Conversation"
        '
        'LabelRemotePort
        '
        Me.LabelRemotePort.Location = New System.Drawing.Point(8, 57)
        Me.LabelRemotePort.Name = "LabelRemotePort"
        Me.LabelRemotePort.Size = New System.Drawing.Size(80, 16)
        Me.LabelRemotePort.TabIndex = 1
        Me.LabelRemotePort.Text = "Remote Port:"
        '
        'TxtRemotPort
        '
        Me.TxtRemotPort.Location = New System.Drawing.Point(8, 73)
        Me.TxtRemotPort.Name = "TxtRemotPort"
        Me.TxtRemotPort.Size = New System.Drawing.Size(128, 21)
        Me.TxtRemotPort.TabIndex = 0
        Me.TxtRemotPort.Text = "33550"
        '
        'GroupLocalSettings
        '
        Me.GroupLocalSettings.Controls.Add(Me.BtnOffline)
        Me.GroupLocalSettings.Controls.Add(Me.BtnOnline)
        Me.GroupLocalSettings.Controls.Add(Me.LabelListenPort)
        Me.GroupLocalSettings.Controls.Add(Me.TxtListenPort)
        Me.GroupLocalSettings.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.GroupLocalSettings.Location = New System.Drawing.Point(8, 8)
        Me.GroupLocalSettings.Name = "GroupLocalSettings"
        Me.GroupLocalSettings.Size = New System.Drawing.Size(152, 96)
        Me.GroupLocalSettings.TabIndex = 2
        Me.GroupLocalSettings.TabStop = False
        Me.GroupLocalSettings.Text = "Local Settings"
        '
        'BtnOffline
        '
        Me.BtnOffline.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.BtnOffline.Location = New System.Drawing.Point(80, 60)
        Me.BtnOffline.Name = "BtnOffline"
        Me.BtnOffline.Size = New System.Drawing.Size(64, 24)
        Me.BtnOffline.TabIndex = 3
        Me.BtnOffline.Text = "Offline"
        '
        'BtnOnline
        '
        Me.BtnOnline.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.BtnOnline.Location = New System.Drawing.Point(8, 60)
        Me.BtnOnline.Name = "BtnOnline"
        Me.BtnOnline.Size = New System.Drawing.Size(64, 24)
        Me.BtnOnline.TabIndex = 2
        Me.BtnOnline.Text = "Online"
        '
        'LabelListenPort
        '
        Me.LabelListenPort.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.LabelListenPort.Location = New System.Drawing.Point(8, 15)
        Me.LabelListenPort.Name = "LabelListenPort"
        Me.LabelListenPort.Size = New System.Drawing.Size(72, 16)
        Me.LabelListenPort.TabIndex = 1
        Me.LabelListenPort.Text = "Listen Port:"
        '
        'TxtListenPort
        '
        Me.TxtListenPort.Location = New System.Drawing.Point(8, 31)
        Me.TxtListenPort.Name = "TxtListenPort"
        Me.TxtListenPort.Size = New System.Drawing.Size(136, 21)
        Me.TxtListenPort.TabIndex = 0
        Me.TxtListenPort.Text = "33550"
        '
        'GroupBoxStatus
        '
        Me.GroupBoxStatus.Controls.Add(Me.ChkUnavailable)
        Me.GroupBoxStatus.Controls.Add(Me.ChkBusyState)
        Me.GroupBoxStatus.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.GroupBoxStatus.Location = New System.Drawing.Point(8, 329)
        Me.GroupBoxStatus.Name = "GroupBoxStatus"
        Me.GroupBoxStatus.Size = New System.Drawing.Size(152, 64)
        Me.GroupBoxStatus.TabIndex = 4
        Me.GroupBoxStatus.TabStop = False
        Me.GroupBoxStatus.Text = "Change Status"
        '
        'ChkUnavailable
        '
        Me.ChkUnavailable.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.ChkUnavailable.Location = New System.Drawing.Point(16, 38)
        Me.ChkUnavailable.Name = "ChkUnavailable"
        Me.ChkUnavailable.Size = New System.Drawing.Size(96, 16)
        Me.ChkUnavailable.TabIndex = 1
        Me.ChkUnavailable.Text = "Unavailable"
        '
        'ChkBusyState
        '
        Me.ChkBusyState.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.ChkBusyState.Location = New System.Drawing.Point(16, 19)
        Me.ChkBusyState.Name = "ChkBusyState"
        Me.ChkBusyState.Size = New System.Drawing.Size(56, 16)
        Me.ChkBusyState.TabIndex = 0
        Me.ChkBusyState.Text = "Busy"
        '
        'GroupBoxVolume
        '
        Me.GroupBoxVolume.Controls.Add(Me.SliderMicVol)
        Me.GroupBoxVolume.Controls.Add(Me.SliderSpkVol)
        Me.GroupBoxVolume.Controls.Add(Me.LabelMic)
        Me.GroupBoxVolume.Controls.Add(Me.CheckMuteMic)
        Me.GroupBoxVolume.Controls.Add(Me.LabelSpeaker)
        Me.GroupBoxVolume.Controls.Add(Me.CheckSpkMute)
        Me.GroupBoxVolume.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.GroupBoxVolume.Location = New System.Drawing.Point(8, 398)
        Me.GroupBoxVolume.Name = "GroupBoxVolume"
        Me.GroupBoxVolume.Size = New System.Drawing.Size(152, 97)
        Me.GroupBoxVolume.TabIndex = 5
        Me.GroupBoxVolume.TabStop = False
        Me.GroupBoxVolume.Text = "Volume Settings"
        '
        'SliderMicVol
        '
        Me.SliderMicVol.ContainingControl = Me
        Me.SliderMicVol.Location = New System.Drawing.Point(16, 73)
        Me.SliderMicVol.Name = "SliderMicVol"
        Me.SliderMicVol.OcxState = CType(resources.GetObject("SliderMicVol.OcxState"), System.Windows.Forms.AxHost.State)
        Me.SliderMicVol.Size = New System.Drawing.Size(96, 16)
        Me.SliderMicVol.TabIndex = 5
        '
        'SliderSpkVol
        '
        Me.SliderSpkVol.ContainingControl = Me
        Me.SliderSpkVol.Location = New System.Drawing.Point(16, 36)
        Me.SliderSpkVol.Name = "SliderSpkVol"
        Me.SliderSpkVol.OcxState = CType(resources.GetObject("SliderSpkVol.OcxState"), System.Windows.Forms.AxHost.State)
        Me.SliderSpkVol.Size = New System.Drawing.Size(96, 16)
        Me.SliderSpkVol.TabIndex = 4
        '
        'LabelMic
        '
        Me.LabelMic.Location = New System.Drawing.Point(8, 52)
        Me.LabelMic.Name = "LabelMic"
        Me.LabelMic.Size = New System.Drawing.Size(80, 16)
        Me.LabelMic.TabIndex = 3
        Me.LabelMic.Text = "Microphone:"
        '
        'CheckMuteMic
        '
        Me.CheckMuteMic.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.CheckMuteMic.Location = New System.Drawing.Point(92, 52)
        Me.CheckMuteMic.Name = "CheckMuteMic"
        Me.CheckMuteMic.Size = New System.Drawing.Size(56, 16)
        Me.CheckMuteMic.TabIndex = 2
        Me.CheckMuteMic.Text = "Mute"
        '
        'LabelSpeaker
        '
        Me.LabelSpeaker.Location = New System.Drawing.Point(8, 19)
        Me.LabelSpeaker.Name = "LabelSpeaker"
        Me.LabelSpeaker.Size = New System.Drawing.Size(56, 16)
        Me.LabelSpeaker.TabIndex = 1
        Me.LabelSpeaker.Text = "Speaker:"
        '
        'CheckSpkMute
        '
        Me.CheckSpkMute.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.CheckSpkMute.Location = New System.Drawing.Point(92, 19)
        Me.CheckSpkMute.Name = "CheckSpkMute"
        Me.CheckSpkMute.Size = New System.Drawing.Size(56, 16)
        Me.CheckSpkMute.TabIndex = 0
        Me.CheckSpkMute.Text = "Mute"
        '
        'GroupBox1
        '
        Me.GroupBox1.Controls.Add(Me.EditStatus)
        Me.GroupBox1.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.GroupBox1.Location = New System.Drawing.Point(166, 161)
        Me.GroupBox1.Name = "GroupBox1"
        Me.GroupBox1.Size = New System.Drawing.Size(322, 63)
        Me.GroupBox1.TabIndex = 14
        Me.GroupBox1.TabStop = False
        Me.GroupBox1.Text = "Connection Status"
        '
        'EditStatus
        '
        Me.EditStatus.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
        Me.EditStatus.Location = New System.Drawing.Point(9, 19)
        Me.EditStatus.Name = "EditStatus"
        Me.EditStatus.Size = New System.Drawing.Size(303, 32)
        Me.EditStatus.TabIndex = 28
        '
        'GroupBox2
        '
        Me.GroupBox2.Controls.Add(Me.BtnSendText)
        Me.GroupBox2.Controls.Add(Me.EditTextSend)
        Me.GroupBox2.Controls.Add(Me.ListReceiveMsg)
        Me.GroupBox2.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.GroupBox2.Location = New System.Drawing.Point(168, 231)
        Me.GroupBox2.Name = "GroupBox2"
        Me.GroupBox2.Size = New System.Drawing.Size(320, 136)
        Me.GroupBox2.TabIndex = 15
        Me.GroupBox2.TabStop = False
        Me.GroupBox2.Text = "Text Messages "
        '
        'BtnSendText
        '
        Me.BtnSendText.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.BtnSendText.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.BtnSendText.Location = New System.Drawing.Point(235, 107)
        Me.BtnSendText.Name = "BtnSendText"
        Me.BtnSendText.Size = New System.Drawing.Size(74, 24)
        Me.BtnSendText.TabIndex = 3
        Me.BtnSendText.Text = "Send"
        '
        'EditTextSend
        '
        Me.EditTextSend.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.EditTextSend.Location = New System.Drawing.Point(6, 80)
        Me.EditTextSend.Name = "EditTextSend"
        Me.EditTextSend.Size = New System.Drawing.Size(306, 21)
        Me.EditTextSend.TabIndex = 1
        Me.EditTextSend.Text = ""
        '
        'ListReceiveMsg
        '
        Me.ListReceiveMsg.BackColor = System.Drawing.Color.FromArgb(CType(224, Byte), CType(224, Byte), CType(224, Byte))
        Me.ListReceiveMsg.Location = New System.Drawing.Point(6, 16)
        Me.ListReceiveMsg.Name = "ListReceiveMsg"
        Me.ListReceiveMsg.Size = New System.Drawing.Size(306, 56)
        Me.ListReceiveMsg.TabIndex = 0
        '
        'PicTx
        '
        Me.PicTx.Image = CType(resources.GetObject("PicTx.Image"), System.Drawing.Image)
        Me.PicTx.Location = New System.Drawing.Point(450, 466)
        Me.PicTx.Name = "PicTx"
        Me.PicTx.Size = New System.Drawing.Size(32, 32)
        Me.PicTx.TabIndex = 16
        Me.PicTx.TabStop = False
        '
        'LabelTx
        '
        Me.LabelTx.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.LabelTx.Location = New System.Drawing.Point(457, 448)
        Me.LabelTx.Name = "LabelTx"
        Me.LabelTx.Size = New System.Drawing.Size(24, 16)
        Me.LabelTx.TabIndex = 17
        Me.LabelTx.Text = "Tx"
        '
        'Label8
        '
        Me.Label8.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label8.Location = New System.Drawing.Point(427, 448)
        Me.Label8.Name = "Label8"
        Me.Label8.Size = New System.Drawing.Size(24, 16)
        Me.Label8.TabIndex = 19
        Me.Label8.Text = "Rx"
        '
        'PicRx
        '
        Me.PicRx.Image = CType(resources.GetObject("PicRx.Image"), System.Drawing.Image)
        Me.PicRx.Location = New System.Drawing.Point(418, 466)
        Me.PicRx.Name = "PicRx"
        Me.PicRx.Size = New System.Drawing.Size(32, 32)
        Me.PicRx.TabIndex = 18
        Me.PicRx.TabStop = False
        '
        'Timer1
        '
        Me.Timer1.Enabled = True
        Me.Timer1.Interval = 500
        '
        'GroupBox3
        '
        Me.GroupBox3.Controls.Add(Me.BtnSaveToWave)
        Me.GroupBox3.Controls.Add(Me.Label9)
        Me.GroupBox3.Controls.Add(Me.TxtSaveFileName)
        Me.GroupBox3.Controls.Add(Me.BtnResetRecordBuffer)
        Me.GroupBox3.Controls.Add(Me.ChkStartRecording)
        Me.GroupBox3.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.GroupBox3.Location = New System.Drawing.Point(167, 374)
        Me.GroupBox3.Name = "GroupBox3"
        Me.GroupBox3.Size = New System.Drawing.Size(233, 122)
        Me.GroupBox3.TabIndex = 22
        Me.GroupBox3.TabStop = False
        Me.GroupBox3.Text = " Voice Conversation Recording "
        '
        'BtnSaveToWave
        '
        Me.BtnSaveToWave.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.BtnSaveToWave.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.BtnSaveToWave.Location = New System.Drawing.Point(128, 88)
        Me.BtnSaveToWave.Name = "BtnSaveToWave"
        Me.BtnSaveToWave.Size = New System.Drawing.Size(96, 24)
        Me.BtnSaveToWave.TabIndex = 7
        Me.BtnSaveToWave.Text = "Save"
        '
        'Label9
        '
        Me.Label9.Location = New System.Drawing.Point(13, 47)
        Me.Label9.Name = "Label9"
        Me.Label9.Size = New System.Drawing.Size(115, 11)
        Me.Label9.TabIndex = 6
        Me.Label9.Text = "File Name:  (.wav)"
        '
        'TxtSaveFileName
        '
        Me.TxtSaveFileName.Location = New System.Drawing.Point(13, 63)
        Me.TxtSaveFileName.Name = "TxtSaveFileName"
        Me.TxtSaveFileName.Size = New System.Drawing.Size(211, 21)
        Me.TxtSaveFileName.TabIndex = 5
        Me.TxtSaveFileName.Text = ""
        '
        'BtnResetRecordBuffer
        '
        Me.BtnResetRecordBuffer.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.BtnResetRecordBuffer.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.BtnResetRecordBuffer.Location = New System.Drawing.Point(127, 19)
        Me.BtnResetRecordBuffer.Name = "BtnResetRecordBuffer"
        Me.BtnResetRecordBuffer.Size = New System.Drawing.Size(97, 24)
        Me.BtnResetRecordBuffer.TabIndex = 4
        Me.BtnResetRecordBuffer.Text = "Reset Buffer"
        '
        'ChkStartRecording
        '
        Me.ChkStartRecording.FlatStyle = System.Windows.Forms.FlatStyle.Flat
        Me.ChkStartRecording.Location = New System.Drawing.Point(8, 24)
        Me.ChkStartRecording.Name = "ChkStartRecording"
        Me.ChkStartRecording.Size = New System.Drawing.Size(112, 16)
        Me.ChkStartRecording.TabIndex = 1
        Me.ChkStartRecording.Text = "Start Recording"
        '
        'VaxVoIPExV2
        '
        Me.VaxVoIPExV2.Enabled = True
        Me.VaxVoIPExV2.Location = New System.Drawing.Point(408, 376)
        Me.VaxVoIPExV2.Name = "VaxVoIPExV2"
        Me.VaxVoIPExV2.OcxState = CType(resources.GetObject("VaxVoIPExV2.OcxState"), System.Windows.Forms.AxHost.State)
        Me.VaxVoIPExV2.Size = New System.Drawing.Size(72, 50)
        Me.VaxVoIPExV2.TabIndex = 23
        '
        'Label1
        '
        Me.Label1.Location = New System.Drawing.Point(167, 8)
        Me.Label1.Name = "Label1"
        Me.Label1.Size = New System.Drawing.Size(321, 24)
        Me.Label1.TabIndex = 24
        Me.Label1.Text = "1. Execute the application on three or more different computers over the LAN, WAN" & _
        " or Internet."
        '
        'Label2
        '
        Me.Label2.Location = New System.Drawing.Point(168, 41)
        Me.Label2.Name = "Label2"
        Me.Label2.Size = New System.Drawing.Size(240, 16)
        Me.Label2.TabIndex = 25
        Me.Label2.Text = "2. Click the Online button on all the computers."
        '
        'Label3
        '
        Me.Label3.Location = New System.Drawing.Point(167, 64)
        Me.Label3.Name = "Label3"
        Me.Label3.Size = New System.Drawing.Size(321, 32)
        Me.Label3.TabIndex = 26
        Me.Label3.Text = "3. On computer A enter the IP:Port of computer B and click the     'Start Convers" & _
        "ation' button."
        '
        'Label4
        '
        Me.Label4.Location = New System.Drawing.Point(170, 101)
        Me.Label4.Name = "Label4"
        Me.Label4.Size = New System.Drawing.Size(288, 43)
        Me.Label4.TabIndex = 27
        Me.Label4.Text = "4. During the conversation, on computer A or B enter the IP:Port of computer C an" & _
        "d click the 'Add Conversation' button."
        '
        'PicTxB
        '
        Me.PicTxB.Image = CType(resources.GetObject("PicTxB.Image"), System.Drawing.Image)
        Me.PicTxB.Location = New System.Drawing.Point(450, 466)
        Me.PicTxB.Name = "PicTxB"
        Me.PicTxB.Size = New System.Drawing.Size(32, 32)
        Me.PicTxB.TabIndex = 29
        Me.PicTxB.TabStop = False
        '
        'PicRxB
        '
        Me.PicRxB.Image = CType(resources.GetObject("PicRxB.Image"), System.Drawing.Image)
        Me.PicRxB.Location = New System.Drawing.Point(418, 466)
        Me.PicRxB.Name = "PicRxB"
        Me.PicRxB.Size = New System.Drawing.Size(32, 32)
        Me.PicRxB.TabIndex = 28
        Me.PicRxB.TabStop = False
        '
        'MainForm
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(496, 509)
        Me.Controls.Add(Me.PicTxB)
        Me.Controls.Add(Me.PicRxB)
        Me.Controls.Add(Me.Label4)
        Me.Controls.Add(Me.Label3)
        Me.Controls.Add(Me.Label2)
        Me.Controls.Add(Me.Label1)
        Me.Controls.Add(Me.VaxVoIPExV2)
        Me.Controls.Add(Me.GroupBox3)
        Me.Controls.Add(Me.Label8)
        Me.Controls.Add(Me.PicRx)
        Me.Controls.Add(Me.LabelTx)
        Me.Controls.Add(Me.PicTx)
        Me.Controls.Add(Me.GroupBox2)
        Me.Controls.Add(Me.GroupBox1)
        Me.Controls.Add(Me.GroupBoxVolume)
        Me.Controls.Add(Me.GroupBoxStatus)
        Me.Controls.Add(Me.GroupBoxRemote)
        Me.Controls.Add(Me.GroupLocalSettings)
        Me.MaximizeBox = False
        Me.Name = "MainForm"
        Me.Text = "Main Form [VB .NET Sample Source Code]"
        Me.GroupBoxRemote.ResumeLayout(False)
        Me.GroupLocalSettings.ResumeLayout(False)
        Me.GroupBoxStatus.ResumeLayout(False)
        Me.GroupBoxVolume.ResumeLayout(False)
        CType(Me.SliderMicVol, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.SliderSpkVol, System.ComponentModel.ISupportInitialize).EndInit()
        Me.GroupBox1.ResumeLayout(False)
        Me.GroupBox2.ResumeLayout(False)
        Me.GroupBox3.ResumeLayout(False)
        CType(Me.VaxVoIPExV2, System.ComponentModel.ISupportInitialize).EndInit()
        Me.ResumeLayout(False)

    End Sub

#End Region

    Private Sub BtnOnline_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnOnline.Click
        Dim Result

        VaxVoIPExV2.SetLicenceKey("EVALUATE")

        Result = VaxVoIPExV2.Initialize(TxtListenPort.Text)

        If Result = False Then
            ErrorMessages()
            Exit Sub
        End If

        Result = VaxVoIPExV2.GetSpkVolume()
        SliderSpkVol.Value = Result / 25

        Result = VaxVoIPExV2.GetMicVolume()
        SliderMicVol.Value = Result / 25

        MsgBox("You are online now!")

    End Sub

    Private Sub BtnOffline_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnOffline.Click
        VaxVoIPExV2.UnInitialize()
    End Sub

    Private Sub ChkBusyState_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ChkBusyState.CheckedChanged
        If ChkBusyState.Checked Then
            VaxVoIPExV2.EnableBusyState()
        Else
            VaxVoIPExV2.DisableBusyState()
        End If
    End Sub

    Private Sub CheckBoxUnavailable_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ChkUnavailable.CheckedChanged
        If ChkUnavailable.Checked Then
            VaxVoIPExV2.EnableNotAvailableState()
        Else
            VaxVoIPExV2.DisableNotAvailableState()
        End If
    End Sub

    Private Sub CheckSpkMute_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckSpkMute.CheckedChanged
        Dim Result
        Result = VaxVoIPExV2.MuteSpk(CheckSpkMute.Checked)

        If Result = False Then
            ErrorMessages()
        End If
    End Sub

    Private Sub CheckMuteMic_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckMuteMic.CheckedChanged
        Dim Result
        Result = VaxVoIPExV2.MuteMic(CheckMuteMic.Checked)
        If Result = False Then
            ErrorMessages()
        End If
    End Sub

    Private Sub BtnSendText_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnSendText.Click
        If EditTextSend.Text = "" Then
            Exit Sub
        End If

        Dim Result
        Result = VaxVoIPExV2.SendTxtMsg(EditTextSend.Text)

        If Result = False Then
            ErrorMessages()
            Exit Sub
        End If

        ListReceiveMsg.Items.Add("You: " + EditTextSend.Text)
        EditTextSend.Text = ""
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Dim BytePerSecond
        BytePerSecond = VaxVoIPExV2.GetInBoundDataRate

        If BytePerSecond = 0 Then
            PicRx.Visible = False
            PicRxB.Visible = True
        Else
            PicRx.Visible = True
            PicRxB.Visible = False
        End If

        BytePerSecond = VaxVoIPExV2.GetOutBoundDataRate

        If BytePerSecond = 0 Then
            PicTx.Visible = False
            PicTxB.Visible = True
        Else
            PicTx.Visible = True
            PicTxB.Visible = False
        End If
    End Sub

    Private Sub SliderMicVol_Change(ByVal sender As Object, ByVal e As System.EventArgs) Handles SliderMicVol.Change
        ' SetMicVolume method requires Volume value from 0 to 255 range    '
        ' but the slider range is 0 to 10, so we multiply the slider value '
        ' to 25 to get the required value to pass to SetMicVolume method   '

        Dim Result
        Result = VaxVoIPExV2.SetMicVolume(SliderMicVol.Value * 25)
        If Result = False Then
            ErrorMessages()
        End If

    End Sub

    Private Sub SliderSpkVol_Change(ByVal sender As Object, ByVal e As System.EventArgs) Handles SliderSpkVol.Change

        ' SetSpkVolume method requires Volume value from 0 to 255 range    '
        ' but the slider range is 0 to 10, so we multiply the slider value '
        ' to 25 to get the required value to pass to SetSpkVolume method   '

        Dim Result
        Result = VaxVoIPExV2.SetSpkVolume(SliderSpkVol.Value * 25)

        If Result = False Then
            ErrorMessages()
        End If

    End Sub

    Private Sub BtnStartConversation_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnStartConversation.Click

        Dim Result
        Result = VaxVoIPExV2.Connect(ComboRemoteIP.Text, TxtRemotPort.Text, 20)

        If Result = False Then
            ErrorMessages()
        Else
            ComboRemoteIP.Items.Add(ComboRemoteIP.Text)
        End If

    End Sub

    Private Sub BtnEndConversation_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnEndConversation.Click

        VaxVoIPExV2.Disconnect()
        EditStatus.Text = ""

    End Sub

    Private Sub BtnAddConversation_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnAddConversation.Click

        Dim Result
        Result = VaxVoIPExV2.AddInConf(ComboRemoteIP.Text, TxtRemotPort.Text, 20)

        If Result = False Then
            ErrorMessages()
        Else
            ComboRemoteIP.Items.Add(ComboRemoteIP.Text)
        End If

    End Sub

    Private Sub VaxVoIPExV2_OnTextEvent(ByVal sender As Object, ByVal e As AxVAXVOIPEXV2Lib._DVaxVoIPExV2Events_OnTextEventEvent) Handles VaxVoIPExV2.OnTextEvent
        ListReceiveMsg.Items.Add(e.iP + ": " + e.textMsg)
    End Sub

    Private Sub VaxVoIPExV2_OnStatusEvent(ByVal sender As Object, ByVal e As AxVAXVOIPEXV2Lib._DVaxVoIPExV2Events_OnStatusEventEvent) Handles VaxVoIPExV2.OnStatusEvent

        If e.statusCode = 50 Then
            EditStatus.Text = "Failed to connect to Person [IP: " + e.iP + "]"
        End If

        If e.statusCode = 51 Then
            EditStatus.Text = "Connecting to Person [IP: " + e.iP + "]"
        End If

        If e.statusCode = 52 Then
            EditStatus.Text = "Connection lost to Person [IP: " + e.iP + "]"
        End If

        If e.statusCode = 53 Then
            EditStatus.Text = "Successfully connected to Person [IP: " + e.iP + "]" + ", you may start conversation now"
        End If

        If e.statusCode = 54 Then
            EditStatus.Text = "Conversation closed by the Person [IP: " + e.iP + "]"
        End If

        If e.statusCode = 55 Then
            EditStatus.Text = "Person to which you are trying to connect is busy"
        End If

        If e.statusCode = 56 Then
            EditStatus.Text = "Person to which you are trying to connect is not available"
        End If

        If e.statusCode = 57 Then
            EditStatus.Text = "Conversation request cancelled by the other party"
        End If

        If e.statusCode = 58 Then
            EditStatus.Text = "Person [IP: " + e.iP + "]" + " is already having the conversation"
        End If

        If e.statusCode = 59 Then
            EditStatus.Text = "Adding Person [IP: " + e.iP + "]" + " in the conversation"
        End If

        If e.statusCode = 60 Then
            EditStatus.Text = "Successfully Added Person [IP: " + e.iP + "]" + " in the conversation"
        End If

        If e.statusCode = 61 Then
            EditStatus.Text = "Person [IP: " + e.iP + "]" + " has cancelled the add conference request"
        End If

        If e.statusCode = 62 Then
            EditStatus.Text = "Adding Person [IP: " + e.iP + "]" + " in conversation failed"
        End If

    End Sub

    Private Sub VaxVoIPExV2_OnConnectionEvent(ByVal sender As Object, ByVal e As AxVAXVOIPEXV2Lib._DVaxVoIPExV2Events_OnConnectionEventEvent) Handles VaxVoIPExV2.OnConnectionEvent

        Dim Result
        Result = MsgBox("Do you want to accept?", 4, "Request from IP: " + e.iP)

        If Result = 6 Then
            Result = VaxVoIPExV2.AcceptIncomingCall(e.iP, e.port, 15)

            If Result = False Then
                ErrorMessages()
                Exit Sub
            End If

        End If

        If Result = 7 Then
            Result = VaxVoIPExV2.CancelIncomingCall(e.iP, e.port)

            If Result = False Then
                ErrorMessages()
                Exit Sub
            End If

        End If

    End Sub

    Private Sub VaxVoIPExV2_OnAddConferenceEvent(ByVal sender As Object, ByVal e As AxVAXVOIPEXV2Lib._DVaxVoIPExV2Events_OnAddConferenceEventEvent) Handles VaxVoIPExV2.OnAddConferenceEvent
        Dim Result
        Result = MsgBox("Add Conference Request: Do you want to accept?", 4, "Request from IP: " + e.iP)

        If Result = 6 Then
            Result = VaxVoIPExV2.AcceptAddInConf(e.iP, e.port, 15)

            If Result = False Then
                ErrorMessages()
                Exit Sub
            End If

        End If

        If Result = 7 Then
            Result = VaxVoIPExV2.CancelAddInConf(e.iP, e.port)

            If Result = False Then
                ErrorMessages()
                Exit Sub
            End If

        End If
    End Sub

    Private Sub ChkStartRecording_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ChkStartRecording.CheckedChanged
        If ChkStartRecording.Checked Then
            VaxVoIPExV2.StartRecording()
        Else
            VaxVoIPExV2.StopRecording()
        End If
    End Sub

    Private Sub BtnResetRecordBuffer_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnResetRecordBuffer.Click
        VaxVoIPExV2.ResetRecording()
    End Sub

    Private Sub BtnSaveToWave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnSaveToWave.Click

        Dim Result
        Result = VaxVoIPExV2.SaveRecordingToFile(TxtSaveFileName.Text)
        If Result = False Then
            ErrorMessages()
            Exit Sub
        End If

        MsgBox("Saved Successfully!")

    End Sub
End Class

